%global gjs_version 1.69.2
%global libadwaita_version 1.4~alpha
%global libshumate_version 1.1~beta

%global libhandy_version 1.5.0

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:		gnome-maps
Version:	48.5
Release:	%mkrel 1
Summary:	A map application for GNOME
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
# please do not remove this patch, rediff it if necessary (see mga#31747)
Patch0:		0001-Include-GeocodeGlib-and-GWeather-gir.patch
# please do not remove this patch, rediff it if necessary (see mga#31946)
Patch1:		0001-Include-Rest-gir.patch

BuildRequires:	gettext
BuildRequires:	gsettings-desktop-schemas
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.39.3
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gjs-1.0) >= 1.39.0
BuildRequires:	pkgconfig(gweather4)
BuildRequires:	pkgconfig(geoclue-2.0)
BuildRequires:	pkgconfig(geocode-glib-2.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libadwaita-1) >= %{libadwaita_version}
BuildRequires:	pkgconfig(libportal)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(rest-1.0)
BuildRequires:	pkgconfig(shumate-1.0) >= %{libshumate_version}
BuildRequires:	gjs
BuildRequires:	meson
BuildRequires:	appstream-util
# Required for tests.
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	libsecret-tools

Requires:	gjs
Requires:	geoclue >= 1.99.3

%description
%{name} is a map application for GNOME.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install

# fix .desktop file
desktop-file-edit %{buildroot}%{_datadir}/applications/org.gnome.Maps.desktop

# There is no devel package, so at this moment also no need to keep gir and so files
rm %{buildroot}%{_datadir}/gnome-maps/gir-1.0/GnomeMaps-1.0.gir
rm %{buildroot}%{_libdir}/%{name}/libgnome-maps.so

%find_lang %{name} --with-gnome

%check
# Yuck.
find %{buildroot} -name test.src.gresource -print -delete
%meson_test

%files -f %{name}.lang
%doc NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/applications/*
%{_metainfodir}/org.gnome.Maps.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Maps.service
%{_iconsdir}/*/*/apps/org.gnome.Maps*.*
# ovitters: in own directory, so no need to split into subpackages
%{_libdir}/%{name}/


%changelog
* Sun Jul 20 2025 daviddavid <daviddavid> 48.5-1.mga10
+ Revision: 2257553
- new version 48.5

* Tue Jul 08 2025 umeabot <umeabot> 48.2-2.mga10
+ Revision: 2251733
- Mageia 10 Mass Rebuild

* Mon Apr 21 2025 daviddavid <daviddavid> 48.2-1.mga10
+ Revision: 2177401
- new version 48.2

* Sat Mar 22 2025 daviddavid <daviddavid> 48.1-1.mga10
+ Revision: 2168508
- new version 48.1

* Wed Mar 19 2025 daviddavid <daviddavid> 48.0-1.mga10
+ Revision: 2166727
- new version 48.0

* Sun Mar 16 2025 wally <wally> 47.2-2.mga10
+ Revision: 2164816
- rebuild for libxml2 2.13.6

* Sun Dec 01 2024 daviddavid <daviddavid> 47.2-1.mga10
+ Revision: 2120197
- new version 47.2

* Fri Oct 11 2024 daviddavid <daviddavid> 47.1-1.mga10
+ Revision: 2105025
- new version 47.1

* Wed Sep 18 2024 daviddavid <daviddavid> 47.0-1.mga10
+ Revision: 2097979
- new version 47.0

* Sun Jun 02 2024 daviddavid <daviddavid> 46.11-1.mga10
+ Revision: 2069193
- new version 46.11

* Mon Mar 18 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2050496
- new version 46.0

* Thu Dec 07 2023 daviddavid <daviddavid> 45.2-1.mga10
+ Revision: 2014180
- new version 45.2

* Thu Sep 28 2023 tv <tv> 45.0-1.mga10
+ Revision: 1991649
- Update to 45.0

* Sat Jun 03 2023 daviddavid <daviddavid> 44.2-1.mga9
+ Revision: 1960769
- new version 44.2

* Sun May 21 2023 daviddavid <daviddavid> 44.1-2.mga9
+ Revision: 1957570
- add patch to fix missing gir dependency (mga#31946)

* Mon Apr 24 2023 neoclust <neoclust> 44.1-1.mga9
+ Revision: 1954677
- New version 44.1

* Mon Apr 24 2023 daviddavid <daviddavid> 44.0-2.mga9
+ Revision: 1954639
- add back patch to fix missing gir dependencies (mga#31747)

* Sat Apr 22 2023 tmb <tmb> 44.0-1.mga9
+ Revision: 1954210
- drop obsolete patches
- update to 44.0

* Sat Apr 01 2023 daviddavid <daviddavid> 43.4-2.mga9
+ Revision: 1951095
- add patch to fix missing gir dependencies (mga#31747)
- remove unwanted devel files (lib.so and .gir)

* Wed Mar 01 2023 daviddavid <daviddavid> 43.4-1.mga9
+ Revision: 1946178
- new version 43.4
- add upstream patch to fix tests for time formats with different kind of spaces
  * https://gitlab.gnome.org/GNOME/gnome-maps/-/issues/506

* Fri Dec 09 2022 ghibo <ghibo> 43.2-1.mga9
+ Revision: 1919880
- Update to release 43.2

* Sat Oct 22 2022 ovitters <ovitters> 43.1-1.mga9
+ Revision: 1898462
- new version 43.1

* Thu Sep 22 2022 tv <tv> 43.0-1.mga9
+ Revision: 1891619
- Update to 43.0

* Tue Sep 20 2022 tv <tv> 43~rc-1.mga9
+ Revision: 1890811
- Update to 43.rc

* Fri Jul 01 2022 ovitters <ovitters> 42.3-1.mga9
+ Revision: 1867067
- new version 42.3

* Sat May 28 2022 ovitters <ovitters> 42.2-1.mga9
+ Revision: 1860558
- new version 42.2

* Fri Apr 29 2022 tv <tv> 42.1-1.mga9
+ Revision: 1855124
- BR gweather4
+ ovitters <ovitters>
- new version 42.1

* Sat Mar 19 2022 tv <tv> 42.0-1.mga9
+ Revision: 1800437
- Update to 42.0

* Wed Mar 16 2022 tv <tv> 42~rc-1.mga9
+ Revision: 1794495
- Update to 42.rc

* Sat Sep 18 2021 ovitters <ovitters> 40.5-1.mga9
+ Revision: 1745713
- new version 40.5

* Fri Aug 13 2021 ovitters <ovitters> 40.4-1.mga9
+ Revision: 1741240
- new version 40.4

* Fri Jul 09 2021 ovitters <ovitters> 40.3-1.mga9
+ Revision: 1735543
- new version 40.3

* Fri Jun 04 2021 ovitters <ovitters> 40.2-1.mga9
+ Revision: 1729568
- new version 40.2

* Wed May 05 2021 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1721515
- new version 40.1

* Wed Mar 24 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1709541
- new version 40.0

* Fri Feb 12 2021 ovitters <ovitters> 3.38.4-1.mga9
+ Revision: 1675238
- new version 3.38.4

* Sat Nov 21 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1648166
- new version 3.38.2

* Wed Oct 07 2020 ovitters <ovitters> 3.38.1.1-1.mga8
+ Revision: 1632633
- new version 3.38.1.1

* Sat Oct 03 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1631985
- new version 3.38.1

* Sat Sep 12 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625063
- new version 3.38.0

* Sat Sep 05 2020 ovitters <ovitters> 3.37.92-1.mga8
+ Revision: 1622343
- new version 3.37.92

* Sat Aug 22 2020 ovitters <ovitters> 3.37.91-1.mga8
+ Revision: 1617858
- new version 3.37.91

* Wed Aug 12 2020 tv <tv> 3.37.90-1.mga8
+ Revision: 1613467
- BR pkgconfig(libhandy-1)
+ ovitters <ovitters>
- new version 3.37.90

* Sat Jul 04 2020 ovitters <ovitters> 3.37.3-1.mga8
+ Revision: 1601828
- new version 3.37.3

* Wed Jun 10 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1591698
- new version 3.37.2

* Sat Apr 25 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1571890
- new version 3.36.2
+ danf <danf>
- Switch URLs from http: to https:

* Sat Mar 28 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1561382
- new version 3.36.1

* Sat Mar 07 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554587
- new version 3.36.0

* Sat Feb 29 2020 ovitters <ovitters> 3.35.92-1.mga8
+ Revision: 1552369
- new version 3.35.92

* Wed Feb 19 2020 umeabot <umeabot> 3.35.91-2.mga8
+ Revision: 1542501
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 ovitters <ovitters> 3.35.91-1.mga8
+ Revision: 1537064
- new version 3.35.91

* Sat Jan 04 2020 ovitters <ovitters> 3.34.3-1.mga8
+ Revision: 1476417
- new version 3.34.3

* Sat Nov 23 2019 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1462345
- new version 3.34.2

* Mon Oct 07 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1450422
- new version 3.34.1

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1438956
- new version 3.34.0

* Mon Sep 02 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1436405
- new version 3.33.92

* Mon Aug 19 2019 ovitters <ovitters> 3.33.91-1.mga8
+ Revision: 1430355
- new version 3.33.91

* Mon Aug 05 2019 ovitters <ovitters> 3.33.90-1.mga8
+ Revision: 1427400
- new version 3.33.90

* Tue Jul 02 2019 ovitters <ovitters> 3.32.2.1-1.mga8
+ Revision: 1417637
- new version 3.32.2.1

* Wed May 08 2019 tmb <tmb> 3.32.2-1.mga7
+ Revision: 1396781
- update to 3.32.2

* Wed Apr 17 2019 umeabot <umeabot> 3.32.1-2.mga7
+ Revision: 1392404
- Rebuild with meson 0.50.1

* Sun Mar 31 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1383727
- new version 3.32.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374282
- new version 3.32.0

* Sat Mar 09 2019 daviddavid <daviddavid> 3.31.92-1.mga7
+ Revision: 1373194
- new version 3.31.92

* Mon Dec 10 2018 ovitters <ovitters> 3.30.3-1.mga7
+ Revision: 1340009
- new version 3.30.3

* Thu Nov 08 2018 ovitters <ovitters> 3.30.2.1-1.mga7
+ Revision: 1328998
- new version 3.30.2.1

* Mon Oct 22 2018 ovitters <ovitters> 3.30.2-1.mga7
+ Revision: 1323931
- new version 3.30.2

* Mon Sep 24 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1303601
- new version 3.30.1

* Mon Sep 03 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256877
- new version 3.30.0

* Mon Aug 27 2018 ovitters <ovitters> 3.29.92-1.mga7
+ Revision: 1255032
- new version 3.29.92

* Mon Aug 13 2018 ovitters <ovitters> 3.29.91-1.mga7
+ Revision: 1251403
- new version 3.29.91

* Mon Jul 30 2018 ovitters <ovitters> 3.29.90-1.mga7
+ Revision: 1245952
- new version 3.29.90

* Mon Jul 16 2018 ovitters <ovitters> 3.29.4-1.mga7
+ Revision: 1243811
- new version 3.29.4

* Tue Jun 19 2018 ovitters <ovitters> 3.29.3-1.mga7
+ Revision: 1238182
- new version 3.29.3

* Mon May 21 2018 ovitters <ovitters> 3.29.2-1.mga7
+ Revision: 1231245
- new version 3.29.2

* Thu May 10 2018 tv <tv> 3.29.1-1.mga7
+ Revision: 1228025
- fix build:
  o switch to meson
  o adjust filelist
+ ovitters <ovitters>
- new version 3.29.1

* Mon May 07 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1227570
- new version 3.28.2

* Mon Apr 09 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216597
- new version 3.28.1

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208675
- new version 3.28.0

* Mon Mar 05 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1206834
- new version 3.27.92

* Mon Feb 05 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1199140
- new version 3.27.90

* Wed Jan 17 2018 ovitters <ovitters> 3.27.4-1.mga7
+ Revision: 1194198
- new version 3.27.4

* Mon Oct 30 2017 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1175058
- new version 3.26.2

* Mon Oct 02 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1163733
- new version 3.26.1

* Mon Sep 11 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1153020
- new version 3.26.0

* Mon Sep 04 2017 ovitters <ovitters> 3.25.92-1.mga7
+ Revision: 1151227
- new version 3.25.92

* Wed Aug 23 2017 ovitters <ovitters> 3.25.91-1.mga7
+ Revision: 1143598
- new version 3.25.91

* Mon May 22 2017 ovitters <ovitters> 3.24.3-1.mga6
+ Revision: 1104129
- new version 3.24.3

* Mon May 08 2017 ovitters <ovitters> 3.24.2-1.mga6
+ Revision: 1099726
- new version 3.24.2

* Mon Apr 10 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096328
- new version 3.24.1

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094017
- new version 3.24.0

* Mon Nov 07 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065715
- new version 3.22.2

* Mon Oct 10 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060088
- new version 3.22.1

* Mon Sep 19 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054091
- new version 3.22.0
- new version 3.20.3.1

* Mon Aug 22 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1047869
- new version 3.20.3

* Sun Jul 31 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1044103
- new version 3.20.2

* Mon Apr 11 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1000450
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993634
- new version 3.20.0

* Mon Mar 14 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990653
- new version 3.19.92

* Tue Mar 01 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 981527
- new version 3.19.91

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 962421
- new version 3.19.90

* Mon Jan 18 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 925500
- new version 3.19.4

* Mon Dec 21 2015 tv <tv> 3.19.3-1.mga6
+ Revision: 912826
- BR pkgconfig(rest-0.7)
+ ovitters <ovitters>
- new version 3.19.3

* Mon Nov 23 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905149
- new version 3.19.2

* Mon Nov 09 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 899973
- new version 3.18.2

* Sun Oct 11 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 889432
- new version 3.18.1

* Sun Sep 27 2015 tv <tv> 3.18.0.1-1.mga6
+ Revision: 884097
- new release

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882841
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879318
- new version 3.17.92

* Sat Aug 29 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 870917
- new version 3.17.91

* Sat Aug 22 2015 ovitters <ovitters> 3.17.90.1-1.mga6
+ Revision: 868132
- new version 3.17.90.1

* Sun Aug 16 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865163
- new version 3.17.90

* Mon Jun 22 2015 ovitters <ovitters> 3.17.1-1.mga6
+ Revision: 839605
- new version 3.17.1

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796315
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1.2-2.mga5
+ Revision: 749320
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1.2-1.mga5
+ Revision: 738320
- new version 3.14.1.2

* Sat Oct 11 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738005
- new version 3.14.1

* Sun Sep 28 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 731354
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679734
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 677579
- new version 3.13.92

* Wed Sep 03 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 671185
- new version 3.13.91

* Sat Aug 09 2014 pterjan <pterjan> 3.13.4-2.mga5
+ Revision: 661216
- Try to fix parallel build

* Mon Jul 21 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655187
- new version 3.13.4

* Wed Jun 25 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639520
- new version 3.13.3
+ fwang <fwang>
- drop unused switch

* Wed May 28 2014 fwang <fwang> 3.13.2-1.mga5
+ Revision: 627128
- update file list
- update file list
+ ovitters <ovitters>
- new version 3.13.2

* Tue May 13 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622426
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614200
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608018
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604500
- new version 3.11.92

* Tue Mar 04 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599482
- new version 3.11.91

* Tue Feb 18 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594278
- new version 3.11.90

* Thu Feb 06 2014 dams <dams> 3.11.5.1-1.mga5
+ Revision: 584130
- new version 3.11.5.1
+ ovitters <ovitters>
- new version 3.10.2

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536497
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484390
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480843
- new version 3.9.92

* Tue Sep 03 2013 wally <wally> 3.9.91-1.mga4
+ Revision: 474832
- require gjs and geoclue
+ ovitters <ovitters>
- new version 3.9.91

* Fri Aug 23 2013 ovitters <ovitters> 3.9.90.2-1.mga4
+ Revision: 470341
- new version 3.9.90.2

* Wed Aug 21 2013 fwang <fwang> 3.9.90.1-1.mga4
+ Revision: 468658
- update file list
+ ovitters <ovitters>
- new version 3.9.90.1

* Wed Jul 31 2013 ovitters <ovitters> 3.9.5-2.mga4
+ Revision: 461679
- fix description

* Wed Jul 31 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 461671
- imported package gnome-maps

